Subject: Re: bug#41242: Port feature/native-comp to Windows

From: Andrea Corallo <[email-masked]>
Date: Thu, 14 May 2020 20:29:47 +0000

Nicolas Bértolo <[email-masked]> writes:

>> Yes, but I think we could say: the last Emacs closing that used any file
>> that was (at a certain point in life) foo.eln removes all the old
>> foo.eln.*
>
> I think this would work :).

Very good

> We could even remove the pid file. Just do the equivalent of `rm $ELN.old*`
> after FreeLibrary(). If the deletion fails then that means that another Emacs
> has loaded that file. It would take of files left over from crashes too.

Ah okay I thought (probably had to read better) something goes wrong if
you remove when you should not.  Then is even easier yes!

> We would need to change `package-delete` though. It would no longer fully
> delete the directory. Maybe other functions in `package.el` would need
> to be updated to deal with these changes.

If you diff the full branch I had to adjust few thing in Emacs too to
have it working, I believe is expected.  You'll check for the presence
of the native compiler in Lisp with the function you've introduced in
one of your patches.

I believe also that the renaming mechanism should be transparent on all
posix where is not necessary.

Andrea

-- 
[email-masked]